Hi, Amit here, I am the WPML Support Manager, our current ticket queue is high, update your WPML plugins and make sure you meet the minimal requirements for running WPML before reporting an issue please - many tickets are resolved doing that

All of the known issues are documented in https://wpml.org/known-issues/ you can also use our support search to find helpful information and of course review our documentation before opening a ticket.

If you do need to open a ticket please make sure to provide us with all the needed information as described here https://wpml.org/faq/checklist-before-opening-a-ticket-in-wpml-support/

This is the technical support forum for WPML - the multilingual WordPress plugin.

Everyone can read, but only WPML clients can post here. WPML team is replying on the forum 6 days per week, 22 hours per day.

This topic contains 7 replies, has 4 voices.

Last updated by Andreas 3 years, 10 months ago.

Assigned support staff: Sumit.

Author Posts
June 15, 2015 at 11:01 pm #639011

Jean-Philippe

I can not activate the new version, it says:

Plugin could not be activated because it triggered a fatal error.

Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM in /home/public_html/wp-content/plugins/woocommerce-multilingual/inc/products.class.php on line 876

My site is no longer responding because of this issue.

I previously suffered the exact same issue and this was due to TGM Plugin Activation class which I had to manually update because of a security issue.

Here are the appropriate links:
hidden link

hidden link

Please fix this as soon as possible.

June 16, 2015 at 5:22 am #639073

Sumit
Supporter

Languages: English (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hi,

Thank you for contacting support forum.

Please remove that plugin. And upload the plugin zip file from WordPress dashboard not from FTP program.
Please check this article to know about manual upload of plugins https://codex.wordpress.org/Managing_Plugins#Manual_Plugin_Installation

Hope it helps.
Thanks,

June 16, 2015 at 1:00 pm #639564

Mihai

Hi Jean-Philippe,

We've identified the issue and fixing this. Will include it in a new bugfix release shortly.

June 16, 2015 at 3:42 pm #639768

Mihai

While we're working on releasing a new version that includes the fix for this you can try this: https://wpml.org/errata/parse-error-syntax-error-unexpected-t_paamayim_nekudotayim/

June 16, 2015 at 4:19 pm #639809

Jean-Philippe

Hi Mihai,

The link in your message gives me a 404.
I managed to resolve the issue by replacing "::" by "->" on 2 lines inside products.class.php
Lines 876 and 1126 (not 100% sure on the second line number)

Hopefully, this helps you guys release the offical fix.

JP

June 16, 2015 at 8:48 pm #639980

Mihai

Hi Jean-Philippe

The 404 issue could be a problem related to the caching. I'm not getting a 404 on that url but I have someone else getting the same as you.

That page includes the link to a version that includes a fix: hidden link
The fix was to correct the call to that static method on those two lines.

Your approach is ok but still not right I'm afraid. The method called is static so it needs to be called with the scope resolution operator '::'
Thanks for sharing what you did for fixing this for you though.

June 17, 2015 at 8:56 am #640260

Sumit
Supporter

Languages: English (English )

Timezone: Asia/Kolkata (GMT+05:30)

Hi Jean,

Please let us know if it is fixed?

Thanks @mihai for quick fix 🙂

June 17, 2015 at 9:14 am #640284

Andreas
Supporter

WCML Team has already release new version with your fix about your error.

Please can you update 3.6.4 version from : https://wordpress.org/plugins/woocommerce-multilingual/

And inform us if your problem is solved?

Thank you very much in advance.

The topic ‘[Closed] Parse error: syntax error, unexpected T_PAAMAYIM_NEKUDOTAYIM’ is closed to new replies.